Holger's Java API

## com.antelmann.ooffice
Class CellBorder

    java.lang.Object
      com.antelmann.ooffice.CellBorder

All Implemented Interfaces:
  Forgeable<CellBorder>, Serializable

    public class CellBorder

extends Object
implements Forgeable<CellBorder>, Serializable

allows to specify the border of a cell in a spreadsheet. For each side where the border is to be set, a type must be given. If no type is given for a side, the border for that side remains unchanged.

Since:
  15.09.2010, 16:26:59
Author:
  Holger Antelmann
See Also:
  `OOCalc.setCellBorder(com.sun.star.table.XCell, CellBorder)`, `OOTableWriter.setCellBorder(com.sun.star.table.XCell, CellBorder)`, Serialized Form

Nested Class Summary
`static class` `CellBorder.Type`

Field Summary
`CellBorder.Type` `bottom`
`CellBorder.Type` `left`
`static CellBorder` `NO_BORDER` a cell border that resets the borders of all sides to not be displayed
`CellBorder.Type` `right`
`CellBorder.Type` `top`

Constructor Summary
`CellBorder()`
`CellBorder(CellBorder.Type type)`
`CellBorder(CellBorder.Type top, CellBorder.Type bottom, CellBorder.Type left, CellBorder.Type right)`

Method Summary
`void` `setAllFrom(CellBorder cb)` copies the properties of the given object and applies them to this instance, so that its behavior in regards to the given object can be matched to the extend that the implementing class supports that behavior.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_BORDER

    public static final CellBorder NO_BORDER

  a cell border that resets the borders of all sides to not be displayed

### top

    public CellBorder.Type top

### left

    public CellBorder.Type left

### right

    public CellBorder.Type right

### bottom

    public CellBorder.Type bottom

Constructor Detail

### CellBorder

    public CellBorder()

### CellBorder

    public CellBorder(CellBorder.Type type)

### CellBorder

    public CellBorder(CellBorder.Type top,
                      CellBorder.Type bottom,
                      CellBorder.Type left,
                      CellBorder.Type right)

Method Detail

### setAllFrom

    public void setAllFrom(CellBorder cb)

  Description copied from interface: `Forgeable`
  copies the properties of the given object and applies them to this instance, so that its behavior in regards to the given object can be matched to the extend that the implementing class supports that behavior.

  Specified by:
    `setAllFrom` in interface `Forgeable<CellBorder>`
  Parameters:
    `cb` - the object whose behavior is to be copied to this instance

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads